%global realname lager
%global upstream basho
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:       erlang-%{realname}
Version:    3.2.0
Release:    1%{?dist}

Summary:    A logging framework for Erlang/OTP
Group:      Development/Languages
License:    ASL 2.0
URL:        http://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:        scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:    https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:     erlang-lager-0001-Fix-test.patch
BuildRequires:  erlang-goldrush >= 0.1.8
BuildRequires:  erlang-rebar


%description
Lager (as in the beer) is a logging framework for Erlang. Its purpose is to
provide a more traditional way to perform logging in an erlang application that
plays nicely with traditional UNIX logging tools like logrotate and syslog.


%prep
%autosetup -n %{realname}-%{version} -N
%ifarch x86_64
%patch1 -p1
%endif x86_64


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}/


%changelog
* Mon Apr 11 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.2.0-1
- Ver. 3.2.0

* Fri Mar 11 2016 Randy Barlow <rbarlow@redhat.com> - 3.1.0-2
- Rebuild to take advantage of the new automatic provides/requires build feature.

* Thu Feb 18 2016 Randy Barlow <rbarlow@redhat.com> - 3.1.0-1
- Update to 3.1.0.
- Drop the now-unneeded patch.
- Use the license macro.
- Use the Erlang macros.
- Disabled tests, as they don't work with Erlang 18 https://github.com/basho/lager/issues/275
- BuildRequire erlang-rpm-macros.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 17 2014 Peter Lemenkov <lemenkov@gmail.com> - 1.2.2-5
- Fixed FTBFS (see rhbz #1106221)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 10 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.2.2-1
- Ver. 1.2.2 (API-compatible bugfix release)
- Drop EL5 support from spec-file

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 10 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Ver. 1.2.1 (fixes rhbz #854561)

* Wed Sep 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-1
- Ver. 1.2.0 (API/ABI compatible)
- Dropped upstreamed patches

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 06 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.0-2
- Consistently use macros
- Restored BuildRoot in case of EL5

* Fri May 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.0-1
- Ver. 1.0.0

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.9.2-1
- Ver. 0.9.2
